## 高级电源菜单可以在无 Root 的设备上运行吗？

不可以，本应用需要访问快捷支付和设备控制的API，而这些只有 Root 可以做到， ADB/`shell` 权限并不能做到

## 为什么会通过无障碍服务查看我屏幕上的内容？

查看屏幕上的内容是无障碍权限的一个用途，而本应用所使用的无障碍仅用于拦截系统电源菜单，承诺不会用做其他用途，你也可以查看源码进行确认

## 打开高级电源菜单前会看到系统电源菜单，该如何解决？

当你使用无障碍服务拦截系统电源菜单时，你将会看到系统的电源菜单，这很正常。
通过 Xposed 模块方式激活的拦截将会更彻底的屏蔽系统电源菜单


## 为什么只支持 Google Pay ，不支持新的GPay？

由于所在地区的因素，目前开发者所在地区只能通过 Google Pay 读取积分卡，如果谷歌在全球范围内推出新应用，那么有可能会支持GPay

## 哪些应用支持快捷支付？

Google Pay 是唯一的支持快捷支付的应用，当你的Play服务完整时，你无需安装Google Pay ，因为 Play 服务框架中就有相关支持，当然你也可以在 Google Pay 应用中调整

## 哪些应用支持设备控制？

许多类似 Google Home 等为智能家居设计的应用都支持本功能

假如你没有智能家居或不想使用智能家居的附带应用，那么你可以在 Play 商店中下载第三方的智能家居控制应用并将快捷方式添加进电源菜单控件中

你也可以通过 Tasker 添加功能卡片

## 可以在电源菜单中加一个 (x) 按钮吗？

不可以，如果你有这个需求，请使用其他第三方快捷方式应用添加控件

## 背景模糊无效

部分设备默认不开启模糊功能，您可以在开发者选项中开启模糊效果并重启手机，部分系统会将这个功能移动到显示或自定义功能里。如果你有 Root 或 有 Root 的 ADB Shell，则可以通过指令开启模糊功能，下述命令以 Magisk SU 为例

```
su
resetprop ro.surface_flinger.supports_background_blur 1
pkill -TERM -f com. android.systemui
```

你的设备将重启，请注意，开启模糊后部分界面可能显示异常，例如通知栏阴影功能，如果你不习惯模糊效果，可以前往设置中关闭模糊并重启手机，或者将上述指令中的 `1` 改成 `0`

## 如何更新本应用，可以在 Google Play 中获取更新吗？

每次打开高级电源菜单时都会自动检查更新，如果有更新可用就会通知提示你，因此不必担心

